org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ProfileTest.MockStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<S,E>
  - - org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep<Vertex,Vertex>
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProfileTest.MockStep

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<Vertex>>, Step<Vertex,Vertex>, Profiling
  Enclosing class:
    ProfileTest

      public static class ProfileTest.MockStep
      extends FlatMapStep<Vertex,Vertex>
      implements Profiling

  ProfileStrategy callback test. Goal: ensure that a step that implements Profileable gets a callback to setMetrics
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `callbackCalled`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Iterator<Vertex>` | `flatMap(Traverser.Admin<Vertex> traverser)`
    `void` | `setMetrics(MutableMetrics parentMetrics)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.FlatMapStep

      `closeIterator, processNextStart, reset`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### callbackCalled

          public static boolean callbackCalled

  - ### Constructor Detail

    - #### MockStep

          public MockStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### flatMap

          protected Iterator<Vertex> flatMap(Traverser.Admin<Vertex> traverser)

      Specified by:
        `flatMap` in class `FlatMapStep<Vertex,Vertex>`

    - #### setMetrics

          public void setMetrics(MutableMetrics parentMetrics)

      Specified by:
        `setMetrics` in interface `Profiling`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.